Bug 13969 - Testing C4::Review
Summary: Testing C4::Review
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Julian FIOL
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-08 13:21 UTC by Julian FIOL
Modified: 2015-12-03 22:11 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13969 : Testing C4::Review (21.75 KB, patch)
2015-04-09 10:34 UTC, Julian FIOL
Details | Diff | Splinter Review
Bug 13969 : Testing C4::Review (21.73 KB, patch)
2015-04-09 13:31 UTC, Julian FIOL
Details | Diff | Splinter Review
Bug 13969 : Replace calls to $sth->fetchrow* with a call to $dbh->selectrow* and Cleaning files (29.90 KB, patch)
2015-04-14 12:22 UTC, Julian FIOL
Details | Diff | Splinter Review
Bug 13969 : Replace calls to $sth->fetchrow* with a call to $dbh->selectrow* and Cleaning files (34.04 KB, patch)
2015-04-14 12:28 UTC, Julian FIOL
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13969 : Testing C4::Review (21.81 KB, patch)
2015-05-06 17:48 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13969 : Replace calls to $sth->fetchrow* with a call to $dbh->selectrow* and Cleaning files (32.74 KB, patch)
2015-05-06 17:49 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 13969 : Replace calls to $sth->fetchrow* with a call to $dbh->selectrow* and Cleaning files (32.72 KB, patch)
2015-05-08 14:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13969 : Testing C4::Review (21.80 KB, patch)
2015-05-08 14:05 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13969 [QA Followup] - Delete issues before borrowers (744 bytes, patch)
2015-05-08 14:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13969 : Testing C4::Review (21.80 KB, patch)
2015-05-08 14:10 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13969 : Replace calls to $sth->fetchrow* with a call to $dbh->selectrow* and Cleaning files (32.72 KB, patch)
2015-05-08 14:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 13969 [QA Followup] - Delete issues before borrowers (744 bytes, patch)
2015-05-08 14:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13969 : Testing C4::Review (21.87 KB, patch)
2015-05-08 14:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13969 : Replace calls to $sth->fetchrow* with a call to $dbh->selectrow* and Cleaning files (32.79 KB, patch)
2015-05-08 14:14 UTC, Kyle M Hall
Details | Diff | Splinter Review
[PASSED QA] Bug 13969 [QA Followup] - Delete issues before borrowers (811 bytes, patch)
2015-05-08 14:14 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian FIOL 2015-04-08 13:21:24 UTC
Testing C4::Review in t/db_dependent/Review.t
Adding a pod for every sub
    
    TEST PLAN
    ---------
    1. Apply patch
    2. prove -v t/db_dependent/Review.t
    -- All 117 tests should run successfully without
    any error or warning
    
    TEST PLAN OPTIONAL
    ------------------
    
    Go check bug 13899 and see that coverage is 100% for this module.
    
    Coverage BEFORE this patch :
    Statement  :  21,9%
    Branch     :   0,0%
    Condition  :   0,0%
    Subroutine :  33,3%
    Pod        :  33,3%
    
    Coverage AFTER this patch :
    Statement  : 100,0%
    Branch     : 100,0%
    Condition  :    N/A
    Subroutine : 100,0%
    Pod        : 100,0%
Comment 1 Julian FIOL 2015-04-09 10:34:12 UTC Comment hidden (obsolete)
Comment 2 Julian FIOL 2015-04-09 13:31:22 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-04-13 09:57:39 UTC
Julian,
1/ I would suggest you to replace 
  $sth = $dbh->prepare($query);
  $sth->execute($biblionumber1, $status);
  $count = $sth->fetchrow_array;
 with a call to $dbh->selectrow_array

2/ use perltidy on new file.

3/ use the qa script to catch the trailing spaces
Comment 4 Julian FIOL 2015-04-14 12:22:29 UTC Comment hidden (obsolete)
Comment 5 Julian FIOL 2015-04-14 12:28:39 UTC Comment hidden (obsolete)
Comment 6 Bernardo Gonzalez Kriegel 2015-05-06 17:48:57 UTC Comment hidden (obsolete)
Comment 7 Bernardo Gonzalez Kriegel 2015-05-06 17:49:04 UTC Comment hidden (obsolete)
Comment 8 Kyle M Hall 2015-05-08 14:05:04 UTC Comment hidden (obsolete)
Comment 9 Kyle M Hall 2015-05-08 14:05:26 UTC Comment hidden (obsolete)
Comment 10 Kyle M Hall 2015-05-08 14:06:04 UTC Comment hidden (obsolete)
Comment 11 Kyle M Hall 2015-05-08 14:10:48 UTC Comment hidden (obsolete)
Comment 12 Kyle M Hall 2015-05-08 14:11:00 UTC Comment hidden (obsolete)
Comment 13 Kyle M Hall 2015-05-08 14:11:03 UTC Comment hidden (obsolete)
Comment 14 Kyle M Hall 2015-05-08 14:13:56 UTC
Created attachment 38988 [details] [review]
[PASSED QA] Bug 13969 : Testing C4::Review

Testing C4::Review in t/db_dependent/Review.t
Adding a pod for every sub

    TEST PLAN
    ---------
    1. Apply patch
    2. prove -v t/db_dependent/Review.t
    -- All 117 tests should run successfully without
    any error or warning

    TEST PLAN OPTIONAL
    ------------------

    Go check bug 13899 and see that coverage is 100% for this module.

    Coverage BEFORE this patch :
    Statement  :  21,9%
    Branch     :   0,0%
    Condition  :   0,0%
    Subroutine :  33,3%
    Pod        :  33,3%

    Coverage AFTER this patch :
    Statement  : 100,0%
    Branch     : 100,0%
    Condition  :    N/A
    Subroutine : 100,0%
    Pod        : 100,0%

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
All tests run

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 15 Kyle M Hall 2015-05-08 14:14:02 UTC
Created attachment 38989 [details] [review]
[PASSED QA] Bug 13969 : Replace calls to $sth->fetchrow* with a call to $dbh->selectrow* and Cleaning files

1. Replace all calls to $sth->fetchrow_array
   with a call to $dbh->selectrow_array

2. Cleaning Review.t file with perltiny

3. Cleaning Review.t && Review.pl files with koha-qa tool

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
No koha-qa errors

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 16 Kyle M Hall 2015-05-08 14:14:04 UTC
Created attachment 38990 [details] [review]
[PASSED QA] Bug 13969 [QA Followup] - Delete issues before borrowers

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 17 Tomás Cohen Arazi 2015-05-14 14:20:13 UTC
Patches pushed to master.

Thanks Julian!